Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.SignatureVerifyResult Class Reference
Inheritance diagram for FoxitPDFSDKPython3.SignatureVerifyResult:

## Public Member Functions
def | SignatureVerifyResult (other)
| Constructor, with another signature veirfy result object. More...
def | GetCertificateVerifyResults ()
| Get certificate verify results. More...
def | GetLTVState ()
| Get LTV state that indicates if a signature is a LTV signature. More...
def | GetOCSPSigantureVerifyResults ()
| Get signature verify results for OCSP signature of each certificate. More...
def | GetSignatureCheckTime ()
| Get the time that is actually used to check signature. More...
def | GetSignatureCheckTimeType ()
| Get the type of the time that is actually used to check siganture. More...
def | GetSignatureHashValue ()
| Get signature hash value. More...
def | GetSignatureName ()
| Get signature name. More...
def | GetSignatureState ()
| Get signature state. More...
def | GetTSTSignatureVerifyResult ()
| Get the verify result of time stamp token of this signature. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
| e_LTVStateEnable = _fsdk.SignatureVerifyResult_e_LTVStateEnable
| This means LTV is enabled.
| e_LTVStateInactive = _fsdk.SignatureVerifyResult_e_LTVStateInactive
| This means LTV is inactive.
| e_LTVStateNotEnable = _fsdk.SignatureVerifyResult_e_LTVStateNotEnable
| This means LTV is not enabled.

## Detailed Description

This class represents signature verify result.

## Constructor & Destructor Documentation

## ◆ SignatureVerifyResult()

def FoxitPDFSDKPython3.SignatureVerifyResult.SignatureVerifyResult | ( |  | other | ) |

Constructor, with another signature veirfy result object.

Parameters

  [in] | other | Another signature veirfy result object.

## Member Function Documentation

## ◆ GetCertificateVerifyResults()

def FoxitPDFSDKPython3.SignatureVerifyResult.GetCertificateVerifyResults | ( |  | ) |

Get certificate verify results.

Returns
  An array of certificate verify results.

## ◆ GetLTVState()

def FoxitPDFSDKPython3.SignatureVerifyResult.GetLTVState | ( |  | ) |

Get LTV state that indicates if a signature is a LTV signature.

Returns
  LTV state.

## ◆ GetOCSPSigantureVerifyResults()

def FoxitPDFSDKPython3.SignatureVerifyResult.GetOCSPSigantureVerifyResults | ( |  | ) |

Get signature verify results for OCSP signature of each certificate.

Returns
  An array of signature verify results.

## ◆ GetSignatureCheckTime()

def FoxitPDFSDKPython3.SignatureVerifyResult.GetSignatureCheckTime | ( |  | ) |

Get the time that is actually used to check signature.

Returns
  The time that is actually used to check signature. utc_hour_offset and utc_minite_offset of this time would be ignored.

## ◆ GetSignatureCheckTimeType()

def FoxitPDFSDKPython3.SignatureVerifyResult.GetSignatureCheckTimeType | ( |  | ) |

Get the type of the time that is actually used to check siganture.

Returns
  Time type. Please refer to values starting from FoxitPDFSDKPython3.LTVVerifier.e_SignatureCreationTime and this would be one of these values

## ◆ GetSignatureHashValue()

def FoxitPDFSDKPython3.SignatureVerifyResult.GetSignatureHashValue | ( |  | ) |

Get signature hash value.

Returns
  Signature hash value.

## ◆ GetSignatureName()

def FoxitPDFSDKPython3.SignatureVerifyResult.GetSignatureName | ( |  | ) |

Get signature name.

Returns
  Signature name.

## ◆ GetSignatureState()

def FoxitPDFSDKPython3.SignatureVerifyResult.GetSignatureState | ( |  | ) |

Get signature state.

Returns
  Signature state. Please refer to values starting from FoxitPDFSDKPython3.Signature.e_StateUnknown and this would be one or combination of them.

## ◆ GetTSTSignatureVerifyResult()

def FoxitPDFSDKPython3.SignatureVerifyResult.GetTSTSignatureVerifyResult | ( |  | ) |

Get the verify result of time stamp token of this signature.

Returns
  Verify result of time stamp token of the signature. If the signature does not have any time stamp token, returned object would be an empty object which can be checked by function FoxitPDFSDKPython3.SignatureVerifyResult.IsEmpty .

## ◆ IsEmpty()

def FoxitPDFSDKPython3.SignatureVerifyResult.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.